Package org.apache.catalina.webresources.war

## Class WarURLConnection

- java.lang.Object
- - java.net.URLConnection
  - - org.apache.catalina.webresources.war.WarURLConnection

    public class WarURLConnection
    extends java.net.URLConnection

### Field Summary

### Fields inherited from class java.net.URLConnection

`allowUserInteraction, doInput, doOutput, ifModifiedSince, url, useCaches`

### Constructor Summary

Constructors
`protected` `WarURLConnection​(java.net.URL url)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `connect()`
`int` `getContentLength()`
`long` `getContentLengthLong()`
`java.io.InputStream` `getInputStream()`
`long` `getLastModified()`
`java.security.Permission` `getPermission()`

### Methods inherited from class java.net.URLConnection

`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFieldLong, getHeaderFields, getIfModifiedSince, getOutputStream, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WarURLConnection

    protected WarURLConnection​(java.net.URL url)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### connect

    public void connect()
                 throws java.io.IOException

Specified by:
  `connect` in class `java.net.URLConnection`
Throws:
  `java.io.IOException`

#### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

Overrides:
  `getInputStream` in class `java.net.URLConnection`
Throws:
  `java.io.IOException`

#### getPermission

    public java.security.Permission getPermission()
                                           throws java.io.IOException

Overrides:
  `getPermission` in class `java.net.URLConnection`
Throws:
  `java.io.IOException`

#### getLastModified

    public long getLastModified()

Overrides:
  `getLastModified` in class `java.net.URLConnection`

#### getContentLength

    public int getContentLength()

Overrides:
  `getContentLength` in class `java.net.URLConnection`

#### getContentLengthLong

    public long getContentLengthLong()

Overrides:
  `getContentLengthLong` in class `java.net.URLConnection`